Package org.drinkless.tdlib

# Class TdApi.SetCommands

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetCommands

Enclosing class:
  `TdApi`

public static class TdApi.SetCommands extends TdApi.Function<TdApi.Ok>
Sets the list of commands supported by the bot for the given user scope and language; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.BotCommand[]`
  `commands`
  List of the bot's commands.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  A two-letter ISO 639-1 language code.
  `TdApi.BotCommandScope`
  `scope`
  The scope to which the commands are relevant; pass null to change commands in the default bot command scope.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetCommands()`
  Default constructor for a function, which sets the list of commands supported by the bot for the given user scope and language; for bots only.
  `SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)`
  Creates a function, which sets the list of commands supported by the bot for the given user scope and language; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### scope

    public TdApi.BotCommandScope scope
    The scope to which the commands are relevant; pass null to change commands in the default bot command scope.

  - ### languageCode

    public String languageCode
    A two-letter ISO 639-1 language code. If empty, the commands will be applied to all users from the given scope, for which language there are no dedicated commands.

  - ### commands

    public TdApi.BotCommand[] commands
    List of the bot's commands.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetCommands

    public SetCommands()
    Default constructor for a function, which sets the list of commands supported by the bot for the given user scope and language; for bots only.

    Returns `Ok`

  - ### SetCommands

    public SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)
    Creates a function, which sets the list of commands supported by the bot for the given user scope and language; for bots only.

    Returns `Ok`

    Parameters:
      `scope` - The scope to which the commands are relevant; pass null to change commands in the default bot command scope.
      `languageCode` - A two-letter ISO 639-1 language code. If empty, the commands will be applied to all users from the given scope, for which language there are no dedicated commands.
      `commands` - List of the bot's commands.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR